OWSERVER(1)

NAME
owserver - Backend server (daemon) for 1-wire control

SYNOPSIS
owserver -p tcp-port

DESCRIPTION

  owserver
owserver (1) is the backend component of the OWFS 1-wire bus control system. owserver (1) arbitrates access to the bus from multiple client processes. The physical bus is usually connected to a serial or USB port, and other processes connect to owserver (1) over network sockets (tcp port). Communication can be local or over a network. Secure tunneling can be implemented using standard techniques.

Frontend clients include a filesystem representation: owfs (1) , and a webserver: owhttpd (1). Direct language bindings are also available, e.g: owperl (3). Several instances of each client can be initiated.

Each client can also connect directly to the physical bus, skipping owserver (1) but only one client can connect to the physical bus safely. Simultaneous access is prevented by the operating system for USB ports, but unfortunately not serial ports. The safe way to share access to the 1-wire bus is via owserver (1) with the clients connecting. Note: owserver (1) can connect to another owserver (1) process, though the utility of this technique is limited (perhaps as a readonly buffer?)

owserver (1) is by default multithreaded. Optional data caching is in the server, not clients, so all the clients gain efficiency.

SPECIFIC OPTIONS

  -p
TCP port or IPaddress:port for owserver

Other OWFS programs will access owserver via this address. (e.g. owfs -s IP:port /1wire)

If no port is specified, the default well-known port (4304 -- assigned by the IANA) will be used.

DEVELOPER OPTIONS

  --no_dirall
Reject DIRALL messages (requests directory as a single message), forcing client to use older DIR method (each element is an individual message)

  --no_get
Reject GET messages (lets owserver determine if READ or DIRALL is appropriate). Client will fall back to older methods.

  --no_persistence
Reject persistence in requests. All transactions will have to be new connections.

  --pingcrazy
Interject many "keep-alive" (PING) responses. Usually PING responses are only sent when processing is taking a long time to inform client that owserver is still there.

EXAMPLE
owserver -p 3001 -d /dev/ttyS0 runs owserver on tcp port 3001 and connects to a physical 1-wire bus on a serial port.

SEE ALSO

AVAILABILITY
http://www.owfs.org

AUTHOR
Paul Alfille (paul.alfille@gmail.com)